Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.project.core.processes
Class CopyFilesAndUpdateSymbianOSProjectFiles

    java.lang.Object
      com.nokia.carbide.templatewizard.process.AbstractProcess
          com.nokia.carbide.templatewizard.process.AbstractProjectProcess
              com.nokia.carbide.templatewizard.processes.CopyFiles
                  com.nokia.carbide.cpp.project.core.processes.CopyFilesAndFormatAsCpp
                      com.nokia.carbide.cpp.project.core.processes.CopyFilesAndUpdateSymbianOSProjectFiles

All Implemented Interfaces:
  IProcess

    public class CopyFilesAndUpdateSymbianOSProjectFiles

extends CopyFilesAndFormatAsCpp

Copy files and have any new mmp/mk or source files added to the bld.inf or mmp file

Field Summary

Fields inherited from class com.nokia.carbide.templatewizard.processes.CopyFiles
`baseSourceUrl, FILE_PARAMETER, LOWER_SUFFIX, OVERWRITE_ATTRIBUTE, project, SOURCE_PATH_ATTRIBUTE, SUBSTITUTE_ATTRIBUTE, TARGET_PATH_ATTRIBUTE, templateValues, TITLE_SUFFIX, TITLELOWER_SUFFIX, UPPER_SUFFIX`

Fields inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`projectParameter`

Constructor Summary
`CopyFilesAndUpdateSymbianOSProjectFiles()`

Method Summary
`protected Plugin` | `getPlugin()` Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.
`protected void` | `init(ITemplate template, java.util.List<IParameter> parameters)` Must be implemented by subclasses.
`void` | `process(ITemplate template, java.util.List<IParameter> parameters, IProgressMonitor monitor)` The main method called to execute this process.

Methods inherited from class com.nokia.carbide.cpp.project.core.processes.CopyFilesAndFormatAsCpp
`postProcessContent`

Methods inherited from class com.nokia.carbide.templatewizard.processes.CopyFiles
`copyFile`

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`getProjectName`

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProcess
`fail, fail, failIfFalse, failIfNull, findParameterByName, getProcessName, getRequiredAttributeFromParameter, getRequiredParameterByName, mustRunInUIThread, setRunInUIThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyFilesAndUpdateSymbianOSProjectFiles

    public CopyFilesAndUpdateSymbianOSProjectFiles()

Method Detail

### process

    public void process(ITemplate template,
                        java.util.List<IParameter> parameters,
                        IProgressMonitor monitor)
                 throws CoreException

  Description copied from interface: `IProcess`
  The main method called to execute this process.

  Specified by:
    `process` in interface `IProcess`
  Overrides:
    `process` in class `CopyFiles`
  Parameters:
    `template` - the `ITemplate` for this process
    `parameters` - a list of `IParameter`
    `monitor` - the `IProgressMonitor`
  Throws:
    `CoreException` - if the process fails

### init

    protected void init(ITemplate template,
                        java.util.List<IParameter> parameters)
                 throws CoreException

  Description copied from class: `AbstractProcess`
  Must be implemented by subclasses.
  Called by `IProcess.process(ITemplate, List, IProgressMonitor)` to separate initialization from processing code.

  Overrides:
    `init` in class `CopyFiles`
  Parameters:
    `template` - the ITemplate argument to process
    `parameters` - the parameter list argument to process
  Throws:
    `CoreException`
  See Also:
    `com.nokia.carbide.templatewizard.process.IProcess#process(com.nokia.carbide.template.engine.ITemplate, java.util.List, org.eclipse.core.runtime.IProgressMonitor)`

### getPlugin

    protected Plugin getPlugin()

  Description copied from class: `AbstractProcess`
  Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.

  Overrides:
    `getPlugin` in class `CopyFilesAndFormatAsCpp`
  Returns:
    `org.eclipse.core.runtime.Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD